summaryrefslogtreecommitdiffstats
path: root/pbmtk
diff options
context:
space:
mode:
authorSebastian Schmelzer2011-05-04 18:11:19 +0200
committerSebastian Schmelzer2011-05-04 18:11:19 +0200
commitade0d1f264970b404de66142d830b07a4ce43ddc (patch)
tree6f80e2df7863a598666272b116e37e4c6139f62e /pbmtk
parentfix for small, single partition usb sticks (diff)
downloadusb-boot-stick-ade0d1f264970b404de66142d830b07a4ce43ddc.tar.gz
usb-boot-stick-ade0d1f264970b404de66142d830b07a4ce43ddc.tar.xz
usb-boot-stick-ade0d1f264970b404de66142d830b07a4ce43ddc.zip
pbmtk v1
Diffstat (limited to 'pbmtk')
-rwxr-xr-xpbmtk65
1 files changed, 65 insertions, 0 deletions
diff --git a/pbmtk b/pbmtk
new file mode 100755
index 0000000..2d40ca1
--- /dev/null
+++ b/pbmtk
@@ -0,0 +1,65 @@
+#!/bin/bash
+# -----------------------------------------------------------------------------
+# Copyright (c) 2011 - OpenSLX GmbH
+#
+# This program is free software distributed under the GPL version 2.
+# See http://openslx.org/COPYING
+#
+# If you have any feedback please consult http://openslx.org/feedback and
+# send your suggestions, praise, or complaints to feedback@openslx.org
+#
+# General information about OpenSLX can be found at http://openslx.org/
+# -----------------------------------------------------------------------------
+# PreBoot Media ToolKit
+# -----------------------------------------------------------------------------
+
+ROOT_DIR=$(dirname $(readlink -f $0))
+SELF=$(readlink -f $0)
+
+SUBMODULE=$1
+shift
+
+. $ROOT_DIR/inc/functions.common.sh
+
+print_module_usage() {
+ echo "Toolkit for creating PreBoot Media for OpenSLX NG (pbmtk)"
+ echo "Usage: $(basename $SELF) MODULE [OPTIONS]"
+ echo "Modules:"
+ echo -e " env \t fetch, update, recreate kernel/initramfs"
+ echo -e " iso \t create preboot isos"
+ echo -e " usb \t create preboot usb sticks"
+ echo -e " installer \t create self-extracting installers"
+ echo "For more help run: $(basename $SELF) MODULE --help"
+}
+
+banner
+
+if [ "x$SUBMODULE" = "xenv" ]; then
+ echo -e "Module: ENV"
+elif [ "x$SUBMODULE" = "xiso" ]; then
+ echo -e "Module: PreBoot-ISO Creator"
+ . $ROOT_DIR/inc/functions.iso.sh
+elif [ "x$SUBMODULE" = "xusb" ]; then
+ echo -e "Module: PreBoot-USB-Stick Creator"
+ . $ROOT_DIR/inc/functions.usb.sh
+elif [ "x$SUBMODULE" = "xinstaller" ]; then
+ echo -e "Module: PreBoot-Media Installer Creator"
+ . $ROOT_DIR/inc/functions.create-installer.sh
+elif [ "x$SUBMODULE" = "x--version" -o "x$SUBMODULE" = "x-v" ]; then
+ echo -e "Module: Version"
+ exit 1
+else
+ print_module_usage
+fi
+
+init_params
+
+mkdir -p $LOG_DIR/
+
+run_global_checks
+
+read_params $@
+
+run_module_checks
+
+run